<?php defined('SYSPATH') OR die('No direct access allowed.');

class Synergy_report_Model extends Summary_Reports_Model {

	/**
	 * @return something?! array? mysql result- resource?
	 */
	function get_data()
	{
		$timeperiod = Old_Timeperiod_Model::instance($this->options);
		$timeperiod->resolve_timeperiods();
		$class = get_class($this->options);
		$options = Report_options::setup_options_obj($class::$type, $this->options);
		// "either hard or soft" i.e. "don't mention it to the table" because the hard column doesn't exist
		$options['state_types'] = 3;
		// if it's a host report, we, by convention, include the services' events anyway
		if (($options['report_type'] == 'hosts' || $options['report_type'] == 'hostgroups') && !$options->is_any_state_included('service_filter_status'))
			$options['service_filter_status'] = array();
		$querym = new Report_query_builder_Model('report_data_synergy', $options);
		$sql = $querym->build_alert_summary_query('*');
		$dbr = $this->db->query($sql);
		$result = array();
		foreach ($dbr as $row) {
			if ($timeperiod->inside($row->timestamp))
				$result[] = $row;
		}
		return $result;
	}

}
